#include<algorithm>
#include<string>
#include<iostream>
using namespace std;

int main()
{
	int t;
	cin >> t;

	while (t--)
	{
		int n, m;
		cin >> n;
		cin >> m;
		long prihvacene[75000];
		long neprihvacene[75000];

		long p=0;
		long np=0;
		int x=0;

		for (int i = 0; i < n-1; i++)
		{
			cin >> prihvacene[i];
			p += prihvacene[i];

		}
		for (int i = 0; i < m-1; i++)
		{
			cin >> neprihvacene[i];
			np += neprihvacene[i];
		}
		int a = 0;
		
		for ( a = n; a>=0; a--)
		{
			if ((p-a)/n==0)
			{
				x = 1;
				break;
			}
			
		}
		cout << x;
		 

	}

	return 0;
}